package com.service;

import com.entity.ResourcesType;

import java.util.List;
import java.util.Map;


public interface ResourcesTypeService {

//  添加分类
  public int add(ResourcesType po);
//  获取单个分类信息
  public ResourcesType getById(int id);
//  修改分类
  public int update(ResourcesType po);
//  删除分类
  public int delete(int id);
//  查询分类
  public List<ResourcesType> getAll(Map<String, Object> map);
//  验证分类名称
  public ResourcesType checkName(Map<String, Object> account);
//  分页显示
  public List<ResourcesType> getByPage(Map<String, Object> map);
//  获取信息的条数
  public int getCount(Map<String, Object> po);


}
